Bug 141664 - Off by one error in ListDisplay
Summary: Off by one error in ListDisplay
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-12-02 19:48 UTC by Michael Bowman
Modified: 2007-04-18 17:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-03 02:24:57 UTC


Attachments (Terms of Use)

Description Michael Bowman 2004-12-02 19:48:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I have my page size preference set to 10.
The page displays 11 items, but says 1-10 of 10



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. go to systemsadmined.jsp
2.
3.
    

Additional info:

Comment 1 Jesus M. Rodriguez 2004-12-03 02:24:57 UTC
Checks to see if the object was added to the DataResult before
attempting to add it.

    // bug 141664: ensure we don't add duplicates to the list.
    if (!dr.contains(obj)) {
        dr.add(obj);
    }



Note You need to log in before you can comment on or make changes to this bug.